Description

Hello David,

Cl tests are ok you can tag the new dunetpc.

Have a good day
Etienne

History

#1 - 02/23/2021 08:29 AM - David Adams

- Status changed from New to Work in progress

My slf7:prof test build is failing with these errors:

[ 22%] Linking CXX shared library ../../../lib/libdune_PhotonPropagation_ScintTimeTools_ScintTimeXeDoping_tool
.50

CMakeFiles/dune_PhotonPropagation_ScintTimeTools_ScintTimeXeDoping_tool.dir/ScintTimeXeDoping_tool.cc.o: In fu
nction “CLHEP::RandFlat::RandFlat (CLHEP: :HepRandomEngineg) ':
/cvmfs/larsoft.opensciencegrid.org/products/clhep/v2_4_1_3a/Linux64bit+3.10-2.17-el9-prof/include/CLHEP/Random
/RandFlat.icc:26: undefined reference to “CLHEP::HepRandom: :HepRandom() '
/cvmfs/larsoft.opensciencegrid.org/products/clhep/v2_4_1_3a/Linux64bit+3.10-2.17-el9-prof/include/CLHEP/Random
/RandFlat.icc:26: undefined reference to ‘vtable for CLHEP::RandFlat'
CMakeFiles/dune_PhotonPropagation_ScintTimeTools_ScintTimeXeDoping_tool.dir/ScintTimeXeDoping_tool.cc.o: In fu
nction “phot::ScintTimeXeDoping: :GenScintTime (bool, CLHEP::HepRandomEngine&) ':
/nashome/d/dladams/upsdev/v09_17_00/workdir/srcs/dunetpc/dune/PhotonPropagation/ScintTimeTools/ScintTimeXeDopi
ng_tool.cc:88: undefined reference to “~CLHEP::RandFlat::operator() ()"
/nashome/d/dladams/upsdev/v09_17_00/workdir/srcs/dunetpc/dune/PhotonPropagation/ScintTimeTools/ScintTimeXeDopi
ng_tool.cc:89: undefined reference to "CLHEP::RandFlat::operator () ()"
/nashome/d/dladams/upsdev/v09_17_00/workdir/srcs/dunetpc/dune/PhotonPropagation/ScintTimeTools/ScintTimeXeDopi
ng_tool.cc:83: undefined reference to "CLHEP::RandFlat::~RandFlat ()’
/nashome/d/dladams/upsdev/v09_17_00/workdir/srcs/dunetpc/dune/PhotonPropagation/ScintTimeTools/ScintTimeXeDopi
ng_tool.cc:88: undefined reference to “~CLHEP::RandFlat::operator() ()"
/nashome/d/dladams/upsdev/v09_17_00/workdir/srcs/dunetpc/dune/PhotonPropagation/ScintTimeTools/ScintTimeXeDopi
ng_tool.cc:89: undefined reference to “CLHEP::RandFlat::operator() ()"
/nashome/d/dladams/upsdev/v09_17_00/workdir/srcs/dunetpc/dune/PhotonPropagation/ScintTimeTools/ScintTimeXeDopi
ng_tool.cc:83: undefined reference to "CLHEP::RandFlat::~RandFlat ()’
CMakeFiles/dune_PhotonPropagation_ScintTimeTools_ScintTimeXeDoping_tool.dir/ScintTimeXeDoping_tool.cc.o: In fu
nction “CLHEP::RandFlat::RandFlat (CLHEP: :HepRandomEngines&) ':
/cvmfs/larsoft.opensciencegrid.org/products/clhep/v2_4_1_3a/Linux64bit+3.10-2.17-el9-prof/include/CLHEP/Random
/RandFlat.icc:26: undefined reference to "CLHEP::HepRandom: :~HepRandom() '

collect2: error: 1ld returned 1 exit status

#2 - 02/23/2021 08:40 AM - David Adams
Adding Alex.

#3 - 02/23/2021 08:41 AM - David Adams

| have added CLHEP in the make commands for the offending tool. Looks like this will resolve the problem.

#4 - 02/23/2021 09:26 AM - David Adams

New tag is made with the above fix. Builds are started.

#5 - 02/23/2021 09:46 AM - David Adams
The ¢7 builds are failing with a different error in the same tool:

[ 15%] Built target +dunetpc+job+detsimmodules_dune. fcl
In file included from /scratch/workspace/dune-release-build/BUILDTYPE/debug/QUAL/c7/labell/swarm/label2/SLE7/t
emp/srcs/dunetpc/dune/PhotonPropagation/ScintTimeTools/ScintTimeXeDoping_tool.cc:9:
/scratch/workspace/dune-release-build/BUILDTYPE/debug/QUAL/c7/labell/swarm/label2/SLF7/temp/srcs/dunetpc/dune/
PhotonPropagation/ScintTimeTools/ScintTimeXeDoping.h:29:23: error: private field 'fLogLevel' is not used [-Wer
ror, -Wunused-private-field]

int fLogLevel;

~

1 error generated.
Scanning dependencies of target +dunetpc+job+detsimtools_dune.fcl

We have seen previously that c7 is more picky about this type of error.
| fixed the problem in dunetpc develop (but not in v09_17_00).

| will continue and make v09_17_00 a gcc-only release if those builds succeed.

#6 - 02/24/2021 07:49 AM - David Adams

- Status changed from Work in progress to Closed

The gcc builds are now available.
